# ETextEventProcessor

## Name

ETextEventProcessor --

## Synopsis

    #define     E_TEXT_EVENT_PROCESSOR_TYPE
                ETextEventProcessor;
    gint        e_text_event_processor_handle_event
                                                (ETextEventProcessor *tep,
                                                 ETextEventProcessorEvent *event);

## Object Hierarchy

      GtkObject
       +----ETextEventProcessor
             +----ETextEventProcessorEmacsLike

## Properties

      "allow-newlines"       gboolean              : Read / Write

## Signal Prototypes

    "command"   void        user_function      (ETextEventProcessor *etexteventprocessor,
                                                gpointer arg1,
                                                gpointer user_data);

## Description

## Details

### E_TEXT_EVENT_PROCESSOR_TYPE

    #define E_TEXT_EVENT_PROCESSOR_TYPE			(e_text_event_processor_get_type ())

### ETextEventProcessor

    typedef struct _ETextEventProcessor ETextEventProcessor;

### e_text_event_processor_handle_event ()

    gint        e_text_event_processor_handle_event
                                                (ETextEventProcessor *tep,
                                                 ETextEventProcessorEvent *event);

`tep` : |
`event` : |
Returns : |

## Properties

### The "`allow-newlines`" property

      "allow-newlines"       gboolean              : Read / Write

## Signals

### The "command" signal

    void        user_function                  (ETextEventProcessor *etexteventprocessor,
                                                gpointer arg1,
                                                gpointer user_data);

`etexteventprocessor` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.